<template>
    <div class="catalog">
        <button 
        :class="['catalog__top', {'catalog__top--unactive': catalogPopup == false}, {'catalog__top--border': catalogPopup == true}]" 
        @click.prevent="catalogPopupMethod">
            <div class="catalog__burger">
                <span></span>
                <span></span>
                <span></span>
            </div>
            <div class="catalog__name">
                <p class="catalog__name--head">
                    Каталог
                </p>
            </div>
        </button>
        <div class="catalog__bottom" v-if="catalogPopup">
            <ul class="catalog__list">
                <li class="catalog__item"
                v-for="(catalogItem, index) in catalogItems"
                :key="index"
                >
                    <a href="catalog.html" class="catalog__link">
                    <div class="catalog__image">
                        <img :src="catalogItem.image" alt="carriage" class="catalog__item--icon"></div>
                        {{ catalogItem.name }}
                    </a>
                </li>
            </ul>
        </div>
    </div>
</template>

<script setup>

let catalogPopup = ref(false);

let catalogItems = ref([
    { name: 'Дитячі коляски', image: '/img/carriage.svg'},
    { name: 'Дитяча кімната', image: '/img/room.svg'},
    { name: 'Стільці і  шезлонги', image: '/img/chair.svg'},
    { name: 'Для годування', image: '/img/feeding.svg'},
    { name: 'Гігієна і догляд', image: '/img/soap.svg'},
    { name: 'Автокрісла', image: '/img/autochair.svg'},
    { name: 'Дитячий транспорт', image: '/img/car.svg'},
    { name: 'Іграшки', image: '/img/toy.svg'},
    { name: 'Одяг', image: '/img/clothes.svg'},
    { name: 'Новий товар', image: '/img/new.svg'},
    
]);

const route = useRoute();

function catalogPopupMethod() {
    catalogPopup.value = !catalogPopup.value
}

watch(()=> {

let pageWay = route.path

if(pageWay === "/") {

  catalogPopup.value = true

} else {
    catalogPopup.value = false
}
})





</script>